Portage slots for GHC?

Dinko Tenev dinko.tenev at gmail.com
Thu Dec 13 04:25:59 EST 2007


I'm using GHC on Gentoo, and so far I've had to stay clear of GHC 6.6,
because I've also installed stuff depending on 6.4.2, like wxHaskell,
for instance.  Now I see a new version of mtl, which I also have
installed, depends on 6.6.1, while all of the rest of the stuff is
"lagging behind" with a dependency on 6.4.2.  Of course, I can easily
solve the problem partially by masking out the new version for mtl,
but this is going to become a major inconvenience with new versions of
GHC and its dependents.

What I'm getting at is, can we please have separate slots for GHC
6.4.2 and 6.6 on portage?



More information about the Glasgow-haskell-users mailing list